<?php

defined('BASEPATH') or exit('No direct script access allowed');

class Targets extends AdminController
{

    public function __construct()
    {
        parent::__construct();
        $this->load->model('Targets_model'); // Load the breaks model
    }

    public function index()
    {
        if (staff_cant('view', 'staff')) {
            access_denied('staff');
        }
        if ($this->input->is_ajax_request()) {
            $this->app->get_table_data('target');
        }
        $data['staff_members'] = $this->staff_model->get('', ['active' => 1]);
        $data['title'] = _l('staff_members');
        $this->load->view('admin/target/manage', $data);
    }

    

    
}
