<?php

defined('BASEPATH') or exit('No direct script access allowed');


class retention_assigned extends App_mail_template
{
    protected $for = 'staff';

    protected $retention_id;

    protected $staff_email;

    public $slug = 'new-retention-assigned';

    public $rel_type = 'retention';

    public function __construct($retention_id, $staff_email)
    {
        parent::__construct();
        $this->retention_id     = $retention_id;
        $this->staff_email = $staff_email;
    }

    public function build()
    {
        $this->to($this->staff_email)
        ->set_rel_id($this->retention_id)
        ->set_merge_fields('retentions_merge_fields', $this->retention_id);
    }
}
