<?php

defined('BASEPATH') or exit('No direct script access allowed');


class sale_assigned extends App_mail_template
{
    protected $for = 'staff';

    protected $sale_id;

    protected $staff_email;

    public $slug = 'new-sale-assigned';

    public $rel_type = 'sale';

    public function __construct($sale_id, $staff_email)
    {
        parent::__construct();
        $this->sale_id     = $sale_id;
        $this->staff_email = $staff_email;
    }

    public function build()
    {
        $this->to($this->staff_email)
        ->set_rel_id($this->sale_id)
        ->set_merge_fields('sales_merge_fields', $this->sale_id);
    }
}
