<?php

defined('BASEPATH') or exit('No direct script access allowed');

class sale_web_form_submitted extends App_mail_template
{
    protected $sale;

    public $slug = 'new-web-to-sale-form-submitted';

    public $rel_type = 'sale';

    public function __construct($sale)
    {
        parent::__construct();
        $this->sale = $sale;
    }

    public function build()
    {
        $this->to($this->sale->email)
        ->set_rel_id($this->sale->id)
        ->set_merge_fields('sales_merge_fields', $this->sale);
    }
}
