<?php

namespace app\services\messages;

defined('BASEPATH') or exit('No direct script access allowed');

use app\services\messages\AbstractPopupMessage;

class FirstRetentionCreated extends AbstractPopupMessage
{
    public function isVisible(...$params)
    {
        $retention_id = $params[0];

        return $retention_id == 1;
    }

    public function getMessage(...$params)
    {
        return 'First retention Created! <br /> <span style="font-size:26px;">You can use Web To retention Forms (Setup->retentions->Web To retention) to capture retentions directly from your website.</span>';
    }
}
