<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php include_once(APPPATH . 'views/admin/includes/modals/post_likes.php'); ?>
<?php include_once(APPPATH . 'views/admin/includes/modals/post_comment_likes.php'); ?>
<link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">

<div id="event"></div>
<div id="newsfeed" class="animated fadeIn hide" <?php if($this->session->flashdata('newsfeed_auto')){echo 'data-newsfeed-auto';} ?>>
</div>
<!-- Task modal view -->
<div class="modal fade task-modal-single" id="task-modal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel">
  <div class="modal-dialog <?php echo get_option('task_modal_class'); ?>">
    <div class="modal-content data">

    </div>
  </div>
</div>

<!--Add/edit task modal-->
<div id="_task"></div>

<!-- Lead Data Add/Edit-->
<!-- <div class="modal fade lead-modal" id="lead-modal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel">
  <div class="modal-dialog modal-xl">
    <div class="modal-content data">

    </div>
  </div>
</div> -->



<!-- Modal HTML -->
<div class="modal fade lead-modal" id="lead-modal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel">
  <div class="modal-dialog">
    <div class="modal-content data">
     
    
    <?php echo ($lead->id); ?>
    </div>
  </div>
</div> 





<div class="modal fade sale-modal" id="sale-modal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel">
  <div class="modal-dialog">
    <div class="modal-content data">

    </div>
  </div>
</div>


<div class="modal fade sale-modal" id="retention-modal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel">
  <div class="modal-dialog">
    <div class="modal-content data">

    </div>
  </div>
</div>



<div id="timers-logout-template-warning" class="hide">
  <h3 class="bold"><?php echo _l('timers_started_confirm_logout'); ?></h3>
  <hr />
  <a href="<?php echo admin_url('authentication/logout'); ?>" class="btn btn-danger">
    <?php echo _l('confirm_logout'); ?>
  </a>
</div>

<!-- Break Modal -->
<div class="modal fade" id="break-modal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <?php echo form_open(admin_url('breaks/create_break'), ['id' => 'break_form']); ?> <!-- Using form_open -->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">
                    <span class="add-title"><?php echo _l('add_new_break'); ?></span>
                </h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <!-- Break Type Input -->
                        <?php echo render_input('break_type', 'break_type', '', 'text', ['placeholder' => 'Enter break type']); ?>

                        <!-- Break Minutes Input -->
                        <?php echo render_input('break_minutes', 'break_minutes', '', 'number', ['placeholder' => 'Enter minutes']); ?>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo _l('close'); ?></button>
                <button type="submit" class="btn btn-primary"><?php echo _l('submit'); ?></button>
            </div>
        </div>
        <!-- /.modal-content -->
        <?php echo form_close(); ?> <!-- Using form_close -->
    </div>
    <!-- /.modal-dialog -->
</div>

<!-- Target Modal -->
<div class="modal fade" id="target-modal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <?php echo form_open(admin_url('targets/create_target'), ['id' => 'target_form']); ?>
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title">
                    <span class="add-title"><?php echo _l('add_new_target'); ?></span>
                </h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <!-- User ID Input -->
                        <?php echo render_input('user_id', 'user_id', '', 'number', ['placeholder' => 'Enter User ID']); ?>

                        <!-- Target Input -->
                        <?php echo render_input('target', 'target', '', 'text', ['placeholder' => 'Enter Target']); ?>

                        <!-- Target Month Input -->
                        <?php echo render_input('target_month', 'target_month', '', 'text', ['placeholder' => 'Enter Target Month (e.g., 2024-11)']); ?>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo _l('close'); ?></button>
                <button type="submit" class="btn btn-primary"><?php echo _l('submit'); ?></button>
            </div>
        </div>
        <?php echo form_close(); ?>
    </div>
</div>


<div id="break-timer-modal" class="fixed modal sale-modal flex items-center justify-center bg-white hidden">
    <div class="flex flex-col items-center">
        <h1 class="text-3xl font-bold mb-6">Break Timer</h1>
        <div id="timer-display" class="text-6xl font-bold text-gray-800 mb-6">00:00</div>
        <div id="late-timer-display" class="text-xl font-semibold text-red-600 mb-4 hidden">You are late</div>
        <button id="end-break-btn" class="bg-red-500 text-white px-6 py-3 rounded-lg">End Break</button>
    </div>
</div>

<style>
    .blink-red {
        animation: blink 1s infinite;
    }

    @keyframes blink {
        0% { background-color: red; }
        50% { background-color: white; }
        100% { background-color: red; }
    }

    /* Freeze the page by making everything unclickable and dimmed */
    .freeze-ui {
        position: fixed;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5);
        z-index: 9998;
        pointer-events: none;
    }
</style>




<div class="modal fade" id="choose-break-modal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        
    <?php echo form_open(admin_url('breaks/create_break'), ['id' => 'break_form']); ?> <!-- Using form_open -->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">
                    <span class="add-title"><?php echo _l('add_new_break'); ?></span>
                </h4>
            </div>
            <div class="modal-body">
           
                <div id="break-options-container" class="space-y-4">
                    <!-- Break options will be dynamically appended here -->
                </div>
            
            
            
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo _l('close'); ?></button>
                
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>



<!--Lead convert to customer modal-->
<div id="lead_convert_to_customer"></div>

<!--Lead reminder modal-->
<div id="lead_reminder_modal"></div>
<div id="sale_reminder_modal"></div>
<div id="retention_reminder_modal"></div>




<script>
let timerInterval;
let lateTimerInterval;
let lateTime = 0; // Late time in seconds

// Prevent back/forward navigation and refresh
function preventBackForwardAndRefresh() {
    history.pushState(null, null, location.href);
    window.onpopstate = function () {
        history.go(1);
    };
    $(document).on("keydown", function (e) {
        if (e.which === 116 || ((e.ctrlKey || e.metaKey) && e.which === 82)) {
            e.preventDefault();
        }
    });
    window.addEventListener("beforeunload", function (e) {
        e.preventDefault();
        e.returnValue = '';
    });
}

function resetBackForwardAndRefresh() {
    window.onpopstate = null;
    window.onbeforeunload = null;
    $(document).off("keydown");
}

// Start the break timer
function startBreakTimer(minutes, selectedBreak) {
    let time = minutes * 60; // Convert minutes to seconds
    lateTime = 0; // Reset late time when the timer starts

    preventBackForwardAndRefresh();

    // Show the timer modal
    $("#break-timer-modal").removeClass("hidden");
    const timerDisplay = $("#timer-display");
    const lateTimerDisplay = $("#late-timer-display").hide(); // Ensure hidden initially

    function updateTimer() {
        const minutesLeft = Math.floor(time / 60);
        const secondsLeft = time % 60;
        timerDisplay.text(`${String(minutesLeft).padStart(2, '0')}:${String(secondsLeft).padStart(2, '0')}`);

        if (time === 0) {
            clearInterval(timerInterval); // Stop the main timer
            if (lateTime === 0) {
                startLateTimer(); // Start the late timer when the main timer reaches zero
            }
        } else {
            time--; // Decrement timer if not zero
        }
    }

    // Start the break timer
    timerInterval = setInterval(updateTimer, 1000);
    updateTimer(); // Initialize timer display immediately

    // Late timer logic
    function startLateTimer() {
        $("#break-timer-modal").addClass("blink-red"); // Start blinking effect
        lateTimerDisplay.removeClass("hidden").show(); // Make late timer visible

        lateTimerInterval = setInterval(function () {
            lateTime++;
            const lateMinutes = Math.floor(lateTime / 60);
            const lateSeconds = lateTime % 60;
            lateTimerDisplay.text(`You are ${lateMinutes} mins and ${lateSeconds} secs late.`);
        }, 1000);
    }

    // End break button functionality
    $("#end-break-btn").off("click").on("click", function () {
        clearInterval(timerInterval);
        clearInterval(lateTimerInterval);
        $("#break-timer-modal").addClass("hidden").removeClass("blink-red");
        resetBackForwardAndRefresh();

        timerDisplay.text("00:00");
        lateTimerDisplay.hide();

        const lateMinutes = Math.floor(lateTime / 60);

        $.ajax({
            url: admin_url + "breaks/save_break_late_time",
            type: "POST",
            data: {
                staff_id: <?php echo get_staff_user_id(); ?>,
                break_type: selectedBreak,
                mins_late: lateMinutes
            },
            success: function (response) {
                const jsonResponse = JSON.parse(response);
                if (jsonResponse.success) {
                    alert("Break ended and late time saved successfully.");
                    location.reload();
                } else {
                    alert("Failed to save break and late time.");
                    location.reload();
                }
            },
            error: function () {
                alert("Error saving break and late time.");
                location.reload();
            }
        });
    });
}



// Choose break modal logic
function init_choose_break() {
    $.ajax({
        url: admin_url + "breaks/get_all_breaks",
        type: "GET",
        dataType: "json",
        success: function (response) {
            if (response.success) {
                $("#break-options-container").empty();

                $.each(response.data, function (index, breakData) {
                    var breakHtml = `
                        <div class="break-option mb-4 p-4 bg-gray-200 rounded-lg text-center cursor-pointer hover:bg-gray-300 transition ease-in-out duration-150" 
                            data-break-type="${breakData.break_type}" 
                            data-break-minutes="${breakData.break_minutes}">
                            <span class="text-lg font-semibold text-gray-800">
                                ${breakData.break_type} (${breakData.break_minutes} mins)
                            </span>
                        </div>
                    `;
                    $("#break-options-container").append(breakHtml);
                });

                $("#choose-break-modal").modal("show");

                $(".break-option").on("click", function () {
                    const selectedBreak = $(this).data('break-type');
                    const selectedMinutes = $(this).data('break-minutes');
                    $("#choose-break-modal").modal("hide");
                    startBreakTimer(parseInt(selectedMinutes), selectedBreak);

                    // Save the break with the selected type and minutes
                    $.ajax({
                        url: admin_url + "breaks/save_break",
                        type: "POST",
                        data: {
                            staff_id: <?php echo get_staff_user_id(); ?>,
                            break_type: selectedBreak,
                            break_minutes: selectedMinutes
                        },
                        success: function (response) {
                            const jsonResponse = JSON.parse(response);
                            if (!jsonResponse.success) {
                                alert("Failed to save break data.");
                            }
                        },
                        error: function () {
                            alert("Error saving break data.");
                        }
                    });
                });
            } else {
                alert("Failed to fetch break data.");
            }
        },
        error: function () {
            alert("Error fetching break data.");
        }
    });
}

</script>


