<?php init_head(); ?>


<div id="wrapper">
   <div class="content">
      <div class="row">
         <div class="col-md-12">
          <div class="panel_s">
               <div class="panel-body">
               <div class="_buttons">
               <?php if(has_permission('retentions','','create')){ ?>
                  
                  <a href="#" onclick="init_retention(); return false;" class="btn mright5 btn-info pull-left display-block">
                      <?php echo _l('new_retention'); ?>
                  </a>

                  <?php } ?>
                  <?php if(is_admin() || get_option('allow_non_admin_members_to_import_retentions') == '1'){ ?>
                  <a href="<?php echo admin_url('retentions/import'); ?>" class="btn btn-info pull-left display-block hidden-xs">
                     <?php echo _l('import_retentions'); ?>
                  </a>
                  <?php } ?>
                  <div class="row">
                     <div class="col-md-5">
                        <a href="#" class="btn btn-default btn-with-tooltip" data-toggle="tooltip" data-title="<?php echo _l('retentions_summary'); ?>" data-placement="bottom" onclick="slideToggle('.retentions-overview'); return false;"><i class="fa fa-bar-chart"></i></a>
                        <a href="<?php echo admin_url('retentions/switch_kanban/'.$switch_kanban); ?>" class="btn btn-default mleft10 hidden-xs">
                        <?php if($switch_kanban == 1){ echo _l('retentions_switch_to_kanban');}else{echo _l('switch_to_list_view');}; ?>
                        </a>

                        
                     </div>
                     


                   
                     <div class="row">
                        <div class="col-md-4 pull-right retentions-search" style="padding-right:28px">
                        <div class="text-right" style="float:right">
                           <a href="#" class="btn btn-danger btn-with-tooltip" data-placement="bottom" onclick="retentionclearFilters()">Clear Filter</a>
                        </div>
                        <div class="col-sm-4 col-xs-6 pull-right retentions-search">
                            <?php if ($this->session->userdata('retentions_kanban_view') == 'true') { ?>
                            <div data-toggle="tooltip" data-placement="top"
                                data-title="<?php echo _l('search_by_tags'); ?>">
                                <?php echo render_input('search', '', '', 'search', ['data-name' => 'search', 'onkeyup' => 'retentions_kanban();', 'placeholder' => _l('retentions_search')], [], 'no-margin') ?>
                            </div>
                            <?php } else { ?>
                            <div id="vueApp" class="tw-inline pull-right">
                                <app-filters
                                    id="<?php echo $table->id(); ?>"
                                    view="<?php echo $table->viewName(); ?>"
                                    :rules="<?php echo app\services\utilities\Js::from($this->input->get('status') ? $table->findRule('status')->setValue([$this->input->get('status')]) : []); ?>"
                                    :saved-filters="<?php echo $table->filtersJs(); ?>"
                                    :available-rules="<?php echo $table->rulesJs(); ?>">
                                </app-filters>
                            </div>
                            <?php } ?>
                            <?php echo form_hidden('sort_type'); ?>
                            <?php echo form_hidden('sort', (get_option('default_retentions_kanban_sort') != '' ? get_option('default_retentions_kanban_sort_type') : '')); ?>
                        </div>
                     </div>

                     

                     
                       
       
                    


                     <!-- <div class="row" style="margin-top:10px;">
                           <div class="col-md-3">
                           <button type="button" id="clear-filters" class="btn btn-danger" onclick="clearFilters()">Clear Filters</button>

                           </div>
                        </div> -->


                     <div class="col-md-4 col-xs-6 pull-right retentions-search">
                        <?php if($this->session->userdata('retentions_kanban_view') == 'true') { ?>
                        <div data-toggle="tooltip" data-placement="bottom" data-title="<?php echo _l('search_by_tags'); ?>">
                        <?php echo render_input('search','','','search',array('data-name'=>'search','onkeyup'=>'retentions_kanban();','placeholder'=>_l('retentions_search')),array(),'no-margin') ?>
                        </div>
                        <?php } ?>
                        <?php echo form_hidden('sort_type'); ?>
                        <?php echo form_hidden('sort',(get_option('default_retentions_kanban_sort') != '' ? get_option('default_retentions_kanban_sort_type') : '')); ?>
                     </div>
                  </div>
                  <div class="clearfix"></div>

                  <div class="row hide retentions-overview">
                        <hr class="hr-panel-heading" />
                     <div class="col-md-12">
                        <h4 class="no-margin"><?php echo _l('retentions_summary'); ?></h4>
                     </div>
                     <?php
                        $whereNoViewPermission = '(addedfrom = '.get_staff_user_id().' OR assigned='.get_staff_user_id().' OR is_public = 1)';
                        $numStatuses = count($statuses);
                        $has_permission_view = has_permission('retentions','','view');
                        foreach($statuses as $status){ ?>
                     <div class="col-md-2 col-xs-6 border-right">
                        <?php
                           $this->db->where('status',$status['id']);
                          if(!$has_permission_view){
                              $this->db->where($whereNoViewPermission);
                           }
                           $total = $this->db->count_all_results('tblretentions');
                           ?>
                        <h3 class="bold"><?php echo $total; ?></h3>
                        <span style="color:<?php echo $status['color']; ?>"><?php echo $status['name']; ?></span>
                     </div>
                     <?php } ?>
                     <?php
                        if(!$has_permission_view){
                          $this->db->where($whereNoViewPermission);
                        }
                        $total_retentions = $this->db->count_all_results('tblretentions');
                        ?>
                     <div class="col-md-2 col-xs-6">
                        <?php
                           $this->db->where('lost',1);
                           if(!$has_permission_view){
                            $this->db->where($whereNoViewPermission);
                           }
                           $total_lost = $this->db->count_all_results('tblretentions');
                           $percent_lost = ($total_retentions > 0 ? number_format(($total_lost * 100) / $total_retentions,2) : 0);
                           ?>
                        <h3 class="bold"><span data-toggle="tooltip" data-title="<?php echo $total_lost; ?>"><?php echo $percent_lost; ?>%</span></h3>
                        <span class="text-danger"><?php echo _l('lost_retentions'); ?></span>
                     </div>
                     <div class="col-md-2 col-xs-6">
                        <?php
                           $this->db->where('junk',1);
                           if(!$has_permission_view){
                            $this->db->where($whereNoViewPermission);
                           }
                           $total_junk = $this->db->count_all_results('tblretentions');
                           $percent_junk = ($total_retentions > 0 ? number_format(($total_junk * 100) / $total_retentions,2) : 0);
                           ?>
                        <h3 class="bold"><span data-toggle="tooltip" data-title="<?php echo $total_junk; ?>"><?php echo $percent_junk; ?>%</span></h3>
                        <span class="text-danger"><?php echo _l('junk_retentions'); ?></span>
                     </div>
                  </div>
               </div>
                  <hr class="hr-panel-heading" />
                  <div class="tab-content">
                     <?php
                        if($this->session->has_userdata('retentions_kanban_view') && $this->session->userdata('retentions_kanban_view') == 'true') { ?>
                     <div class="active kan-ban-tab" id="kan-ban-tab" style="overflow:auto;">
                        <div class="kanban-retentions-sort">
                           <span class="bold"><?php echo _l('retentions_sort_by'); ?>: </span>
                           <a href="#" onclick="retentions_kanban_sort('dateadded'); return false" class="dateadded">
                            <?php if(get_option('default_retentions_kanban_sort') == 'dateadded'){echo '<i class="kanban-sort-icon fa fa-sort-amount-'.strtolower(get_option('default_retentions_kanban_sort_type')).'"></i> ';} ?><?php echo _l('retentions_sort_by_datecreated'); ?>
                            </a>
                           |
                           <a href="#" onclick="retentions_kanban_sort('retentionorder');return false;" class="retentionorder">
                            <?php if(get_option('default_retentions_kanban_sort') == 'retentionorder'){echo '<i class="kanban-sort-icon fa fa-sort-amount-'.strtolower(get_option('default_retentions_kanban_sort_type')).'"></i> ';} ?><?php echo _l('retentions_sort_by_kanban_order'); ?>
                            </a>
                           |
                           <a href="#" onclick="retentions_kanban_sort('lastcontact');return false;" class="lastcontact">
                            <?php if(get_option('default_retentions_kanban_sort') == 'lastcontact'){echo '<i class="kanban-sort-icon fa fa-sort-amount-'.strtolower(get_option('default_retentions_kanban_sort_type')).'"></i> ';} ?><?php echo _l('retentions_sort_by_lastcontact'); ?>
                            </a>
                        </div>
                        <div class="row">
                           <div class="container-fluid retentions-kan-ban">
                              <div id="kan-ban"></div>
                           </div>
                        </div>
                     </div>
                     <?php } else { ?>
                     <div class="row" id="retentions-table">

                     

                        <div class="col-md-12">
                        

                        
                           <div class="row">
                              <div class="col-md-12">
                                 <p class="bold"><?php echo _l('filter_by'); ?></p>
                              </div>
                              

                                 <div class="col-md-3 retentions-filter-column">
							    <label for="date_by" class="control-label"><span class="control-label">  ID</span></label>
                                <input type="text" class="form-control" id="id" name="id" placeholder="Enter ID">
                              </div>




                              <div class="col-md-3 retentions-filter-column">
							    <label for="date_by" class="control-label"><span class="control-label">  Name</span></label>
                                <input type="text" class="form-control" id="name" name="name" placeholder="Enter name">
                              </div>



                              <div class="col-md-3 retentions-filter-column">
                                  <label for="date_by" class="control-label"><span class="control-label">  Number</span></label>
                                <input type="number" class="form-control" id="phone" name="phone" placeholder="Enter phone Number">
                              </div>
                              <div class="col-md-3 retentions-filter-column">		
								

							</div>
							<div class="col-md-3 retentions-filter-column">
                                 <label for="status" class="control-label"><?php echo _l('retention_status'); ?></label>
                                 <?php
                                 $selected = array();
                                 if($this->input->get('status')) {
                                  $selected[] = $this->input->get('status');
                                 } else {
                                  foreach($statuses as $key => $status) {
                                    if($status['isdefault'] == 0) {
                                      $selected[] = $status['id'];
                                    } else {
                                      $statuses[$key]['option_attributes'] = array('data-subtext'=>_l('retentions_converted_to_client'));
                                    }
                                  }
                                 }
                                 echo '<div id="retentions-filter-status">';
                                    echo render_select('view_status[]',$statuses,array('id','name'),'','',array('data-width'=>'100%','data-none-selected-text'=>_l('retentions_all'),'multiple'=>true,'data-actions-box'=>true),array(),'no-mbot','',false);
                                    echo '</div>';
                                    ?>
                              </div>
                              
                               
							
                        </div>
                        <div class="row" style="margin-top:10px;">
                            <div class="col-md-3 retentions-filter-column">
                                  <label for="rel_type" class="control-label"><?php echo _l('retention_source'); ?></label>	
                                 <?php
                                    
                                    echo render_select('view_source[]',$sources,array('id','name'),'','',array('data-width'=>'100%','data-none-selected-text'=>_l('retentions_source'),'multiple'=>true,'data-actions-box'=>true),array(),'no-mbot','',false);
                                    ?>
                              </div>
                              <div class="col-md-3 retentions-filter-column">
                                 <label for="date_by" class="control-label"><span class="control-label"><?php echo _l('si_lf_filter_by_type'); ?></span></label>
                                <div class="select-placeholder">
                                 <select name="custom_view" title="<?php echo _l('additional_filters'); ?>" id="custom_view" class="selectpicker" data-width="100%">
                                    <option value=""></option>
                                    <option value="lost"><?php echo _l('retention_lost'); ?></option>
                                    <option value="junk"><?php echo _l('retention_junk'); ?></option>
                                    <option value="public"><?php echo _l('retention_public'); ?></option>
                                    <option value="contacted_today"><?php echo _l('retention_add_edit_contacted_today'); ?></option>
                                    <option value="created_today"><?php echo _l('created_today'); ?></option>
                                    <?php if(has_permission('retentions','','edit')){ ?>
                                    <option value="not_assigned"><?php echo _l('retentions_not_assigned'); ?></option>
                                    <?php } ?>
                                 </select>
                               </div>
                              </div>
                              
                              
                              <div class="col-md-3  retentions-filter-column">	
                              <label for="rel_type" class="control-label"><?php echo _l('retention_country'); ?></label>
								<?php 
								$retention_countries[]=array('id'=>-1,'name'=>_l('si_lf_unknown'));
								echo render_select('countries[]',$retention_countries,array('id','name'),'',$countries,array('data-width'=>'100%','data-none-selected-text'=>_l('Select Countries'),'multiple'=>true,'data-actions-box'=>true),array(),'no-mbot','',false);?>
							</div>
							
                              <div class="col-md-3 retentions-filter-column">
                                  <label for="rel_type" class="control-label"><?php echo _l('staff_members'); ?></label>
                                 <?php echo render_select('view_assigned',$staff,array('staffid',array('firstname','lastname')),'','',array('data-width'=>'100%','data-none-selected-text'=>_l('retentions_dt_assigned')),array(),'no-mbot'); ?>
                              </div>
							
							
                           </div>
                           <div class="row" style="margin-top:10px;">
                              
                           <div class="col-md-3 retentions-filter-column">
                              <label for="date_by" class="control-label"><span class="control-label"><?php echo _l('si_lf_retention_filter_by_date'); ?></span></label>
                              <select name="date_by" id="date_by" class="selectpicker no-margin" data-width="100%">
                                 <option value="dateadded" <?php echo ($date_by === 'dateadded' ? 'selected' : ''); ?>><?php echo _l('si_lf_created_date'); ?></option>
                                 <option value="lastcontact" <?php echo ($date_by === 'lastcontact' ? 'selected' : ''); ?>><?php echo _l('si_lf_last_contacted_date'); ?></option>
                                 <option value="last_status_change" <?php echo ($date_by === 'last_status_change' ? 'selected' : ''); ?>><?php echo _l('si_lf_last_status_change_date'); ?></option>
                              </select>
                           </div>
                           
                              <div class="col-md-3 retentions-filter-column" id="report-time">
                                  <label for="months-report"><?php echo _l('period_datepicker'); ?></label><br />
								<select class="selectpicker" name="report_months" id="report_months" data-width="100%" data-none-selected-text="<?php echo _l('dropdown_non_selected_tex'); ?>">
									<option value=""><?php echo _l('report_retentions_months_all_time'); ?></option>
									<option value="this_month"><?php echo _l('this_month'); ?></option>
									<option value="1"><?php echo _l('last_month'); ?></option>
									<option value="this_year"><?php echo _l('this_year'); ?></option>
									<option value="last_year"><?php echo _l('last_year'); ?></option>
									<option value="3" data-subtext="<?php echo _d(date('Y-m-01', strtotime("-2 MONTH"))); ?> - <?php echo _d(date('Y-m-t')); ?>"><?php echo _l('report_retentions_months_three_months'); ?></option>
									<option value="6" data-subtext="<?php echo _d(date('Y-m-01', strtotime("-5 MONTH"))); ?> - <?php echo _d(date('Y-m-t')); ?>"><?php echo _l('report_retentions_months_six_months'); ?></option>
									<option value="12" data-subtext="<?php echo _d(date('Y-m-01', strtotime("-11 MONTH"))); ?> - <?php echo _d(date('Y-m-t')); ?>"><?php echo _l('report_retentions_months_twelve_months'); ?></option>
									<option value="custom"><?php echo _l('period_datepicker'); ?></option>
								</select>
								<?php
									if($report_months !== '')
									{
										$report_heading.=' for '._l('period_datepicker')." ";
										switch($report_months)
										{
											case 'this_month':$report_heading.=date('01-m-Y')." To ".date('t-m-Y');break;
											case '1'         :$report_heading.=date('01-m-Y',strtotime('-1 month'))." To ".date('t-m-Y',strtotime('-1 month'));break;
											case 'this_year' :$report_heading.=date('01-01-Y')." To ".date('31-12-Y');break;
											case 'last_year' :$report_heading.=date('01-01-Y',strtotime('-1 year'))." To ".date('31-12-Y',strtotime('-1 year'));break;
											case '3'         :$report_heading.=date('01-m-Y',strtotime('-2 month'))." To ".date('t-m-Y');break;
											case '6'         :$report_heading.=date('01-m-Y',strtotime('-5 month'))." To ".date('t-m-Y');break;
											case '12'        :$report_heading.=date('01-m-Y',strtotime('-11 month'))." To ".date('t-m-Y');break;
											case 'custom'    :$report_heading.=$report_from." To ".$report_to;break;
											default          :$report_heading.='All Time';
										}
									}
								?>
							</div>
							    <div id="datefromto" style="display:none;">
							        <div class="col-md-3  retentions-filter-column">
							            <label for="date_by" class="control-label"><span class="control-label">Form Date</span></label>
							        <div class="input-group date">
                                        <input type="text" class="form-control datepicker" id="report_from" name="report_from" autocomplete="off" placeholder="Select Form Date">
                                        <div class="input-group-addon">
                                            <i class="fa fa-calendar calendar-icon"></i>
                                        </div>
                                    </div>
							    </div>
						        <div class="col-md-3  retentions-filter-column">
						            <label for="date_by" class="control-label"><span class="control-label">To Date</span></label>
						            <div class="input-group date">
                                        <input type="text" class="form-control datepicker" id="report_to" name="report_to" autocomplete="off"
                                        placeholder="Select To Date">
                                        <div class="input-group-addon">
                                           <i class="fa fa-calendar calendar-icon"></i>
                                        </div>
                                    </div>
						        </div>
							    </div>
                           </div>
						</div>
                 

                        <div class="clearfix"></div>
                        <hr class="hr-panel-heading" />
                        
                        <div class="col-md-12">
                                 <?php if(has_permission('retentions','','bulk')) { ?>
                                    <a href="#" data-toggle="modal" data-table=".table-retentions"
                                        data-target="#retentions_bulk_actions"
                                        class="hide bulk-actions-btn table-btn"><?php echo _l('bulk_actions'); ?></a>

                                 <?php } ?>
                                    <div class="modal fade bulk_actions" id="retentions_bulk_actions" tabindex="-1"
                                        role="dialog">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal"
                                                        aria-label="Close"><span
                                                            aria-hidden="true">&times;</span></button>
                                                    <h4 class="modal-title"><?php echo _l('bulk_actions'); ?></h4>
                                                </div>
                                                <div class="modal-body">
                                                    <?php if (staff_can('delete',  'retentions')) { ?>
                                                    <div class="checkbox checkbox-danger">
                                                        <input type="checkbox" name="mass_delete" id="mass_delete">
                                                        <label
                                                            for="mass_delete"><?php echo _l('mass_delete'); ?></label>
                                                    </div>


                                                    <hr class="mass_delete_separator" />
                                                    <?php } ?>


                                                    <div id="bulk_change">
                                                      <p style="color:red"><b>Note :</b> Please refrain from performing any other bulk actions while converting to a retention. </p>
                                                    <?php if (is_admin() || has_permission('leads','','bulk')) { ?>
                                                        <?php echo render_select('move_to_status_retentions_bulk', $statuses, ['id', 'name'], 'ticket_single_change_status');} ?>
                                                        
                                                        <?php if (is_admin() || has_permission('retentions','','bulk')) {
                                                        echo render_select('move_to_source_retentions_bulk', $sources, ['id', 'name'], 'retention_source') ;

                                                        }?>
                                                        <?php
                                                        echo render_select('assign_to_retentions_bulk', $staff, ['staffid', ['firstname', 'lastname']], 'retentions_dt_assigned');
                                                        ?>

                                                        <?php if (is_admin()) : ?>
                                                            <div class="form-group">
                                                                <?php echo '<p><b><i class="fa fa-tag" aria-hidden="true"></i> ' . _l('tags') . ':</b></p>'; ?>
                                                                <input type="text" class="tagsinput" id="tags_bulk" name="tags_bulk" value="" data-role="tagsinput">
                                                            </div>
                                                        <?php endif; ?>


                                                        
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-default"
                                                        data-dismiss="modal"><?php echo _l('close'); ?></button>
                                                    <a href="#" class="btn btn-primary"
                                                        onclick="retentions_bulk_action(this); return false;"><?php echo _l('confirm'); ?></a>
                                                </div>
                                            </div>
                                            <!-- /.modal-content -->
                                        </div>
                                        <!-- /.modal-dialog -->
                                    </div>
                           <!-- /.modal -->
                           <?php

                              $table_data  = [];
                              $_table_data = [
                                '<span class="hide"> - </span><div class="checkbox mass_select_all_wrap"><input type="checkbox" id="mass_select_all" data-to-table="retentions"><label></label></div>',
                                [
                                 'name'     => _l('the_number_sign'),
                                 'th_attrs' => ['class' => 'toggleable', 'id' => 'th-number'],
                               ],
                               [
                                 'name'     => _l('retentions_dt_name'),
                                 'th_attrs' => ['class' => 'toggleable', 'id' => 'th-name'],
                               ],
                              ];
                              if (is_gdpr() && get_option('gdpr_enable_consent_for_retentions') == '1') {
                                  $_table_data[] = [
                                    'name'     => _l('gdpr_consent') . ' (' . _l('gdpr_short') . ')',
                                    'th_attrs' => ['id' => 'th-consent', 'class' => 'not-export'],
                                 ];
                              }
                              $_table_data[] = [
                               'name'     => _l('retention_company'),
                               'th_attrs' => ['class' => 'toggleable', 'id' => 'th-company'],
                              ];
                              $_table_data[] = [
                               'name'     => _l('retentions_dt_email'),
                               'th_attrs' => ['class' => 'toggleable', 'id' => 'th-email'],
                              ];
                              $_table_data[] = [
                               'name'     => _l('retentions_dt_phonenumber'),
                               'th_attrs' => ['class' => 'toggleable', 'id' => 'th-phone'],
                              ];
                              $_table_data[] = [
                                 'name'     => _l('retentions_dt_retention_value'),
                                 'th_attrs' => ['class' => 'toggleable', 'id' => 'th-retention-value'],
                                ];
                              $_table_data[] = [
                               'name'     => _l('tags'),
                               'th_attrs' => ['class' => 'toggleable', 'id' => 'th-tags'],
                              ];
                              $_table_data[] = [
                               'name'     => _l('retentions_dt_assigned'),
                               'th_attrs' => ['class' => 'toggleable', 'id' => 'th-assigned'],
                              ];
                              $_table_data[] = [
                               'name'     => _l('retentions_dt_status'),
                               'th_attrs' => ['class' => 'toggleable', 'id' => 'th-status'],
                              ];
                              $_table_data[] = [
                               'name'     => _l('retentions_source'),
                               'th_attrs' => ['class' => 'toggleable', 'id' => 'th-source'],
                              ];
                              $_table_data[] = [
                               'name'     => _l('retentions_dt_last_contact'),
                               'th_attrs' => ['class' => 'toggleable', 'id' => 'th-last-contact'],
                              ];
                              $_table_data[] = [
                                'name'     => _l('retentions_dt_datecreated'),
                                'th_attrs' => ['class' => 'date-created toggleable', 'id' => 'th-date-created'],
                              ];
                              foreach ($_table_data as $_t) {
                                  array_push($table_data, $_t);
                              }
                              $custom_fields = get_custom_fields('retentions', ['show_on_table' => 1]);
                              foreach ($custom_fields as $field) {
                                  array_push($table_data, [
                                   'name'     => $field['name'],
                                   'th_attrs' => ['data-type' => $field['type'], 'data-custom-field' => 1],
                                ]);
                              }
                              $table_data = hooks()->apply_filters('retentions_table_columns', $table_data);

                              // print_r($_table_data);
                               ?>
                                    <div class="panel-table-full">
                                        <?php
                                 render_datatable(
                                   $table_data,
                                   'retentions',
                                   ['customizable-table number-index-2'],
                                   [
                                    'id'                         => 'retentions',
                                    'data-last-order-identifier' => 'retentions',
                                    'data-default-order'         => get_table_last_order('retentions'),
                                 ]
                               );
                                ?>
                                    </div>
                                </div>
                            </div>
                            <?php } ?>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
<?php include_once(APPPATH.'views/admin/retentions/status.php'); ?>
<?php init_tail(); ?>
<script>
   let filter_ids = [];
   var c_retentionid = '<?php echo $retentionid; ?>';
</script>
<script>
   $(function(){
      retentions_kanban();
   });
   
   function changeTags() {
  
}

</script>
<script>
var openLeadID = '<?php echo e($retentionid); ?>';
$(function() {
    retentions_kanban();
    $('#retentions_bulk_mark_lost').on('change', function() {
        $('#move_to_status_retentions_bulk').prop('disabled', $(this).prop('checked') == true);
        $('#move_to_status_retentions_bulk').selectpicker('refresh')
    });
    $('#move_to_status_retentions_bulk').on('change', function() {
        if ($(this).selectpicker('val') != '') {
            $('#retentions_bulk_mark_lost').prop('disabled', true);
            $('#retentions_bulk_mark_lost').prop('checked', false);
        } else {
            $('#retentions_bulk_mark_lost').prop('disabled', false);
        }
    });
    

$('#report_months').on('change', function () {
    var report_months = $(this).val();
    if (report_months == 'custom') {
        $('#datefromto').css('display', 'block');
    } else {
        $('#datefromto').css('display', 'none'); // Ensure the element is shown for other values
    }
});



});


</script>

<script>
   var retentionIds = [];
$('#retentions tbody tr').each(function() {
    var retentionId = $(this).data('retention-id'); // Assuming you store the retention ID in a data attribute
    if (retentionId) {
        retentionIds.push(retentionId);
    }
});

sessionStorage.setItem('ids', JSON.stringify(retentionIds));
</script>






</body>
</html>