<?php
defined('BASEPATH') or exit('No direct script access allowed');

// class Frontend_module extends  ClientsController
class Reminder_module extends  AdminController
{
    public function __construct()
    {
        parent::__construct();
        $this->load->model('Reminder_model');
    }

    public function ll_home()
    {

        $data['title'] =  "Reminder Setting";
        $data['all'] = $this->Reminder_model->get();
        $this->load->view('reminder_manage', $data);

    }

    public function edit($id)
    {
        if (!$id) {
            redirect(admin_url('reminder_module/reminder_module/ll_home'));
        }
        $response = $this->Reminder_model->edit($id);
        if($response != null){

            $data['title'] = "Edit Reminder Setting";
            $data['response'] = $response;
    
            $this->load->view('reminder_edit', $data);
        }else{
            redirect(admin_url('reminder_module/reminder_module/ll_home'));
        }

    }

    public function delete_group($id)
    {
        if (!is_admin()) {
            access_denied('Delete Customer Group');
        }
        if (!$id) {
            redirect(admin_url('clients/groups'));
        }
        $response = $this->Cfg_model->delete($id);
        if ($response == true) {
            set_alert('success', _l('deleted', _l('customer_group')));
        } else {
            set_alert('warning', _l('problem_deleting', _l('customer_group_lowercase')));
        }
        redirect(admin_url('cfg_module/cfg_module/ll_home'));
    }

    public function update_time()
    {

        if ($this->input->post()) {

            $data = $this->input->post();
            $data['created_by'] = get_staff_user_id() ;
            $id      = $this->Reminder_model->update_group($data,$data['id']);
            $message = $id ? _l('added_successfully', "Reminder Setting") : '';
            set_alert('success', _l('Reminder Data Updated'));
            redirect(admin_url('reminder_module/reminder_module/ll_home'));
        }

    }


}
