<?php
defined('BASEPATH') or exit('No direct script access allowed');

// Create Custom Field Group Table 
$table_name = db_prefix() . 'reminder_manage';

// Check if the table exists
if (!$CI->db->table_exists($table_name)) {
    $query = 'CREATE TABLE `' . $table_name . "` (
        `id` bigint(11) NOT NULL AUTO_INCREMENT,
        `time` varchar(255) NOT NULL,
        `status` INT(11) NOT NULL,
        `created_by` varchar(255) NOT NULL,
        PRIMARY KEY (`id`)
    ) ENGINE=InnoDB DEFAULT CHARSET=" . $CI->db->char_set . ';';

    $CI->db->query($query);

    // Seed initial data
    $seed_data = array(
        'time' => '15',
        'status' => 1,
        'created_by' => '1'
    );

    $CI->db->insert($table_name, $seed_data);
}
