<?php

defined('BASEPATH') or exit('No direct script access allowed');

class Reminder_model extends App_Model
{
    public function __construct()
    {
       parent::__construct();
    }

    public function get()
    {
        return $this->db->get(db_prefix().'reminder_manage')->result_array();
    }

    // Custom Fields Create 
    public function add($data)
    {
        $this->db->insert(db_prefix().'reminder_manage', $data);
        $insert_id = $this->db->insert_id();
        if ($insert_id) {
            return $insert_id;
        }
        return false;
    }

    public function edit($id)
    {
        if (is_numeric($id)) {
            $this->db->where('id', $id);
            return $this->db->get(db_prefix().'reminder_manage')->row();
        }
        return $this->db->get(db_prefix().'reminder_manage')->result_array();

    }

    public function update_group($data, $id)
    {
        $this->db->where('id', $id);
        $this->db->update(db_prefix() . 'reminder_manage', $data);
        if ($this->db->affected_rows() > 0) {
            return true;
        }
        return false;
    }

    

}
