<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php init_head(); ?>

<div id="wrapper">
    <div class="content">
    <?php echo form_open('reminder_module/reminder_module/update_time'); ?>
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div class="tw-flex tw-justify-between tw-mb-2">
                    <h4 class="tw-mt-0 tw-font-semibold tw-text-neutral-700">
                        <span class="tw-text-lg"><?php echo $title; ?></span>
                    </h4>
                </div>

                <div class="panel_s">
                    <div class="panel-body">
                        
                        <div class="row">

                            <div class="form-group col-md-12" app-field-wrapper="campaign">
                                <label for="Campaign" class="control-label">Interval Time (In Minutes)</label><span style="color:red">*</span>
                                <input type="number" min="5" id="time" name="time" value="<?php  echo $response != null ? $response->time : '' ?>" require class="form-control">
                                <br>
                            <label for="Campaign" class="control-label">Want Ringtone? (Check/Uncheck)</label><span style="color:red">*</span> 
                                <input type="checkbox" class="mx-2" id="status" name="status" <?php echo $response != null && $response->status == 1 ? 'checked' : '' ?>>
                                <input type="hidden" id="id" name="id" value="<?php  echo $response != null ? $response->id : '' ?>" require class="form-control">
                                
                            </div>  
                        </div>
                        </div>
                        <div class="panel-footer text-right">
                        <button type="submit" class="btn btn-primary">
                            <?php echo _l('submit'); ?>
                        </button>
                    </div>

                    </div>

                </div>
            </div>

        </div>
        <?php echo form_close(); ?>
    </div>
</div>

