<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php init_head(); ?>
<div id="wrapper">
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <h4><?php echo $title; ?></h4>

                <div class="panel_s">
                    <div class="panel-body">
                        <table class="table table-striped table-bordered">
                            <thead>
                                <tr>
                                  
                                    <th><?php echo _l('Interval Time (In Minutes)'); ?></th>
                                    <th><?php echo _l('Ringtone'); ?></th>
                                    <th><?php echo _l('Actions'); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if (!empty($all)) : ?>
                                    <?php foreach ($all as $reminder) : ?>
                                        <tr>
                        
                                            <td><?php echo $reminder['time']; ?></td>
                                                   <td><?php echo ($reminder['status'] == 1) ? 'Yes' : 'No'; ?></td>
                                            <td>
                                                <a href="<?php echo admin_url('reminder_module/reminder_module/edit/' . $reminder['id']); ?>" class="btn btn-sm btn-primary">
                                                    <i class="fa fa-pencil"></i> <?php echo _l('Edit'); ?>
                                                </a>
                                            </td>
                                        </tr>
                                    <?php endforeach; ?>
                                <?php else : ?>
                                    <tr>
                                        <td colspan="5" class="text-center"><?php echo _l('No Data Found'); ?></td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
<?php init_tail(); ?>
</body>
</html>


