<?php

namespace app\services\messages;

defined('BASEPATH') or exit('No direct script access allowed');

use app\services\messages\AbstractPopupMessage;

class FirstsaleCreated extends AbstractPopupMessage
{
    public function isVisible(...$params)
    {
        $sale_id = $params[0];

        return $sale_id == 1;
    }

    public function getMessage(...$params)
    {
        return 'First sale Created! <br /> <span style="font-size:26px;">You can use Web To sale Forms (Setup->sales->Web To sale) to capture sales directly from your website.</span>';
    }
}
