<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>

    <div class="unique-sale-manager-container">
        <header class="unique-header"  >
        <h2 id="sale_name_view" class="unique-header-title">
            <?php if (isset($sale)) { ?>
                Sale ID - #<?php echo $sale->id; ?> 
                <?php if (!empty($sale->phonenumber)) { ?>
                    - <a href="tel:<?php echo e($sale->phonenumber); ?>"><?php echo e($sale->phonenumber); ?></a>
                <?php } else { ?>
                    - <?php echo '-'; ?>
                <?php } ?>
            <?php } else { ?>
                <?php echo _l('add_new', _l('sale_lowercase')); ?>
            <?php } ?>
        </h2>
        
        
            <div class="unique-header-actions">
            
            <?php
                 // session_start();
                $sales = $_SESSION['saleids']; 

                if (isset($sales) && isset($sale)) {
                    $currentsaleId = $sale->id; // Ensure $sale is defined
                    $sale_next_previous_index = array_search($currentsaleId, $sales);
                    $_SESSION['currentsaleId'] = $currentsaleId;
                    $_SESSION['currentsaleIndex'] = $sale_next_previous_index;

                    if( $_SESSION['currentsaleId']){
                        $currentsaleIndex = $_SESSION['currentsaleIndex']; 

                    }else {
                        $currentsaleIndex = $sale_next_previous_index;

                    }

                    echo ('</br>currentsaleId : ' .$_SESSION['currentsaleId'] . '</br>');
                    echo ('currentsaleIndex : ' .$_SESSION['currentsaleIndex']);
                
                    // Check if currentsaleIndex is a valid index
                    if (isset($currentsaleIndex)) {

                        
                        // Access the previous sale ID safely
                        $previoussaleId = $currentsaleIndex > 0 ? $sales[$currentsaleIndex - 1] : null;
                        // echo ('</br>Previous : ' . $previoussaleId . '</br>');
                
                        // Access the next sale ID safely
                        $nextsaleId = $currentsaleIndex < count($sales) - 1 ? $sales[$currentsaleIndex + 1] : null;
                        // echo ('Next : ' .$nextsaleId . '</br>');

                    } else {
                         // Handle the case where the current sale ID is not found in the sales array
                        $previoussaleId = null;
                        $nextsaleId = null;

                    }
                } 
            ?>



            
            <?php if (isset($sales) && isset($sale)){ ?>
                <?php if ($previoussaleId !== null && $this->input->get('edit') != true && $sale->id != null): ?>
                    <a href="#" id="previoussaleButton" data-sale-id="<?php echo $previoussaleId; ?>" onclick="init_sale(<?php echo $previoussaleId; ?>); return false;" class="unique-button unique-previous-sale">
                    <i class="fa fa-arrow-left tw-mr-1"></i> Previous
                    </a>

                <?php endif; ?>

                <?php if ($nextsaleId !== null && $this->input->get('edit') != true && $sale->id != null): ?>
                    <a href="#" id="nextsaleButton"  data-sale-id="<?php echo $nextsaleId; ?>"  onclick="init_sale(<?php echo $nextsaleId; ?>); return false;" class="unique-button unique-next-sale">
                    <i class="fa fa-arrow-right tw-mr-1"></i> Next
                    </a>
                <?php endif; ?>

            <?php } ?>

            <div class="sale-navigation">
    
</div>

        </div>


        </header>



        <div class="unique-content">
            <?php if(isset($sale)) {?>
            <aside class="unique-sale-history">
            
                <div  id="sale_activity">
                
                        <div>
                        <h3 class="th tw-font-semibold " style="padding:15px;"><?php echo _l('sale_history'); ?>
                        </h3>
                            
                            
                            <div class="activity-feed sale_activity_scroll">
                                <?php foreach ($activity_log as $log) { ?>
                                <div class="feed-item">
                                    <div class="date">
                                        <span class="text-has-action" data-toggle="tooltip"
                                            data-title="<?php echo e(_dt($log['date'])); ?>">
                                            <?php echo e(time_ago($log['date'])); ?>
                                        </span>
                                    </div>
                                    <div class="text">
                                        <?php if ($log['staffid'] != 0) { ?>
                                       
                                            <?php 
                                                echo staff_profile_image($log['staffid'], ['staff-profile-xs-image pull-left mright5']);
                                            ?>
                                        
                                        <?php
                                  }
                                  $additional_data = '';
                                  if (!empty($log['additional_data'])) {
                                      $additional_data = unserialize($log['additional_data']);
                                      echo ($log['staffid'] == 0) ? _l($log['description'], $additional_data) : e($log['full_name']) . ' - ' . _l($log['description'], $additional_data);
                                  } else {
                                      echo e($log['full_name']) . ' - ';
    
                                      if ($log['custom_activity'] == 0) {
                                          echo e(_l($log['description']));
                                      } else {
                                          echo process_text_content_for_display(_l($log['description'], '', false));
                                      }
                                  }
                                  ?>
                                    </div>
                                </div>
                                <?php } ?>
                            </div>
                            <div class="col-md-12">
                                <?php echo render_textarea('sale_activity_textarea', '', '', ['placeholder' => _l('enter_activity')], [], 'mtop15'); ?>

                                <?php if (($sale->status) != 1) { ?>

                                    <div class="text-right">
                                        <button id="sale_enter_activity"
                                            class="btn btn-primary"><?php echo _l('submit'); ?></button>
                                    </div>

                                <?php }else { ?>
                                    <div class="text-right">
                                        <button id="sale_enter_activity"
                                            class="btn btn-primary disabled-button" disabled><?php echo _l('submit'); ?></button>
                                    </div>

                                <?php } ?>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                    </div>


               
                
            </aside>
            <?php } ?>

            <main class="unique-main-content" >
                
            <div class="modal-header">
    
   
        
    
    
    
    
    
    </div>
    <div class="modal-body">
        <div class="row">
            <div class="col-md-12">
                <?php if (isset($sale)) {
        echo form_hidden('saleid', $sale->id);
    } ?>
                <div class="top-sale-menu">
                    <?php if (isset($sale)) { ?>
    
                    <div class="horizontal-scrollable-tabs preview-tabs-top panel-full-width-tabs mbot20">
                        <div class="scroller arrow-left"><i class="fa fa-angle-left"></i></div>
                        <div class="scroller arrow-right"><i class="fa fa-angle-right"></i></div>
                        <div class="horizontal-tabs">
                            <ul class="nav-tabs-horizontal nav nav-tabs<?php if (!isset($sale)) {
        echo ' sale-new';
    } ?>" role="tablist">
                                <li role="presentation" class="active">
                                    <a href="#tab_sale_profile" aria-controls="tab_sale_profile" role="tab"
                                        data-toggle="tab">
                                        <?php echo _l('sale_profile'); ?>
                                    </a>
                                </li>
                                <?php if (isset($sale)) { ?>
                                <?php if (count($mail_activity) > 0 || isset($show_email_activity) && $show_email_activity) { ?>
                                <li role="presentation">
                                    <a href="#tab_email_activity" aria-controls="tab_email_activity" role="tab"
                                        data-toggle="tab">
                                        <?php echo hooks()->apply_filters('sale_email_activity_subject', _l('sale_email_activity')); ?>
                                    </a>
                                </li>
                                <?php } ?>
                                
                                <?php if(($sale->status) != 1) { ?>
                                <li role="presentation">
                                    <a href="#attachments" aria-controls="attachments" role="tab" data-toggle="tab">
                                        <?php echo _l('sale_attachments');
                                        if ($total_attachments > 0) {
                                            echo ' <span class="badge">' . $total_attachments . '</span>';
                                        }
                                        ?>
                                    </a>
                                </li>
                                <li role="presentation">
                                    <a href="#sale_reminders"
                                        onclick="initDataTable('.table-reminders-sales', admin_url + 'misc/get_reminders/' + <?php echo e($sale->id); ?> + '/' + 'sale', undefined, undefined,undefined,[1, 'asc']);"
                                        aria-controls="sale_reminders" role="tab" data-toggle="tab">
                                        <?php echo _l('sales_reminders_tab');
                               if ($total_reminders > 0) {
                                   echo ' <span class="badge">' . $total_reminders . '</span>';
                               }
                               ?>
                                    </a>
                                </li>

                                <?php  } else { ?>

                                   

                                <?php } ?>


                                
                               
                                
                           
                                
                               
                              
                                <?php if (is_gdpr() && (get_option('gdpr_enable_sale_public_form') == '1' || get_option('gdpr_enable_consent_for_sales') == '1')) { ?>
                                <li role="presentation">
                                    <a href="#gdpr" aria-controls="gdpr" role="tab" data-toggle="tab">
                                        <?php echo _l('gdpr_short'); ?>
                                    </a>
                                </li>
                                <?php } ?>
                                <?php } ?>
                                <?php hooks()->do_action('after_sale_sale_tabs', $sale ?? null); ?>
                            </ul>
                        </div>
                    </div>
                    <?php } ?>
                </div>
                <!-- Tab panes -->
                <div class="tab-content">
                    <!-- from sales modal -->
                    <div role="tabpanel" class="tab-pane active" id="tab_sale_profile">
                        <?php $this->load->view('admin/sales/profile'); ?>
                    </div>
                    
                    <?php if (isset($sale)) { ?>
                    <?php if (count($mail_activity) > 0 || isset($show_email_activity) && $show_email_activity) { ?>
                    <div role="tabpanel" class="tab-pane" id="tab_email_activity">
                        <?php hooks()->do_action('before_sale_email_activity', ['sale' => $sale, 'email_activity' => $mail_activity]); ?>
                        <?php foreach ($mail_activity as $_mail_activity) { ?>
                        <div class="sale-email-activity">
                            <div class="media-left">
                                <i class="fa-regular fa-envelope"></i>
                            </div>
                            <div class="media-body">
                                <h4 class="bold no-margin sale-mail-activity-subject">
                                    <?php echo e($_mail_activity['subject']); ?>
                                    <br />
                                    <small
                                        class="text-muted display-block mtop5 font-medium-xs"><?php echo e(_dt($_mail_activity['dateadded'])); ?></small>
                                </h4>
                                <div class="sale-mail-activity-body">
                                    <hr />
                                    <?php echo process_text_content_for_display($_mail_activity['body']); ?>
                                </div>
                                <hr />
                            </div>
                        </div>
                        <div class="clearfix"></div>
                        <?php } ?>
                        <?php hooks()->do_action('after_sale_email_activity', ['sale_id' => $sale->id, 'emails' => $mail_activity]); ?>
                    </div>
                    <?php } ?>
                    <?php if (is_gdpr() && (get_option('gdpr_enable_sale_public_form') == '1' || get_option('gdpr_enable_consent_for_sales') == '1' || (get_option('gdpr_data_portability_sales') == '1') && is_admin())) { ?>
                    <div role="tabpanel" class="tab-pane" id="gdpr">
                        <?php if (get_option('gdpr_enable_sale_public_form') == '1') { ?>
                        <a href="<?php echo e($sale->public_url); ?>" target="_blank" class="mtop5">
                            <?php echo _l('view_public_form'); ?>
                        </a>
                        <?php } ?>
                        <?php if (get_option('gdpr_data_portability_sales') == '1' && is_admin()) { ?>
                        <?php
                      if (get_option('gdpr_enable_sale_public_form') == '1') {
                          echo ' | ';
                      }
                      ?>
                        <a href="<?php echo admin_url('sales/export/' . $sale->id); ?>">
                            <?php echo _l('dt_button_export'); ?>
                        </a>
                        <?php } ?>
                        <?php if (get_option('gdpr_enable_sale_public_form') == '1' || (get_option('gdpr_data_portability_sales') == '1' && is_admin())) { ?>
                        <hr class="-tw-mx-3.5" />
                        <?php } ?>
                        <?php if (get_option('gdpr_enable_consent_for_sales') == '1') { ?>
                        <h4 class="no-mbot">
                            <?php echo _l('gdpr_consent'); ?>
                        </h4>
                        <?php $this->load->view('admin/gdpr/sale_consent'); ?>
                        <hr />
                        <?php } ?>
                    </div>
                    <?php } ?>
                    
                    
                    
                    
                    <div role="tabpanel" class="tab-pane" id="sale_reminders">
                       
                        <?php render_datatable([ _l('reminder_description'), _l('reminder_date'), _l('reminder_staff'), _l('reminder_is_notified')], 'reminders-sales'); ?>
                    </div>

                    <div role="tabpanel" class="tab-pane" id="attachments">


                    
                        <?php echo form_open('admin/sales/add_sale_attachment', ['class' => 'dropzone mtop15 mbot15', 'id' => 'sale-attachment-upload']); ?>
                        <?php echo form_close(); ?>
                        <?php if (get_option('dropbox_app_key') != '') { ?>
                        <hr />
                        <div class=" pull-left">
                            <?php if (count($sale->attachments) > 0) { ?>
                            <a href="<?php echo admin_url('sales/download_files/' . $sale->id); ?>" class="bold">
                                <?php echo _l('download_all'); ?> (.zip)
                            </a>
                            <?php } ?>
                        </div>
                        <div class="tw-flex tw-justify-end tw-items-center tw-space-x-2">
                            <button class="gpicker">
                                <i class="fa-brands fa-google" aria-hidden="true"></i>
                                <?php echo _l('choose_from_google_drive'); ?>
                            </button>
                            <div id="dropbox-chooser-sale"></div>
                        </div>
                        <div class=" clearfix"></div>
                        <?php } ?>
                        <?php if (count($sale->attachments) > 0) { ?>
                        <div class="mtop20" id="sale_attachments">
                            <?php $this->load->view('admin/sales/sales_attachments_template', ['attachments' => $sale->attachments]); ?>
                        </div>
                        <?php } ?>
                    </div>


                    
                    
                    <?php } ?>
                    <?php hooks()->do_action('after_sale_tabs_content', $sale ?? null); ?>
                </div>
            </div>
        </div>
    </div>
    <?php hooks()->do_action('sale_modal_profile_bottom', (isset($sale) ? $sale->id : '')); ?>

            </main>

            <aside class="unique-sidebar">
            <!-- <div role="tabpanel" class="tab-pane" id="sale_activity"> -->
            <?php if(isset($sale)) {
           if(($sale->status) != 1) { ?>


            
                <button class="unique-button unique-follow-up"  data-toggle="modal" data-target=".reminder-modal-sale-<?php echo e  ($sale->id); ?>"><i class="fa-regular fa-bell" style="margin-right:10px;"></i><?php echo _l('sale_set_reminder_title'); ?>
                </button>

            <?php } else { ?> 
            
                <button class="unique-button unique-follow-up disabled-button" disabled><i class="fa-regular fa-bell" style="margin-right:10px;" ></i><?php echo _l('sale_set_reminder_title'); ?>
                </button>
            
            <?php  } ?>
           
                <!-- <button class="unique-button unique-booking">salesman Bookings</button> -->

                <!-- <div class="unique-sale-details">
                    <h3 class="unique-sidebar-title">sale Details</h3>
                    <p>sale Number: 91 / 94</p>
                    <p>Last Actioner: Admin</p>
                    <p>Follow Up: -</p>
                    <p>salesman Booking: -</p>
                </div> -->

                <div class="unique-campaign-details">

              

                <div class="clearfix"></div>
           




                <h4 class="th tw-font-semibold tw-text-base mbot15 pull-left"><?php echo _l('sale_view_description'); ?>
                </h4>
                <?php if(isset($sale)) {
                if(($sale->status) != 1) { ?>
                    <?php if (staff_can('edit',  'sales') || staff_can('view_own',  'sales')  ) { ?><a href="#"
                        onclick="edit_sale_inline_description(this,<?php echo e($sale->id); ?>); return false;"
                        class="pull-left tw-mt-2.5 mleft5 font-medium-xs"><i class="fa-regular fa-pen-to-square"></i></a>
                    <?php } ?>

                <?php } else { ?>
                    <?php if (staff_can('edit',  'sales') || staff_can('view_own',  'sales')  ) { ?><a href="#"
                        onclick="edit_sale_inline_description(this,<?php echo e($sale->id); ?>); return false;"
                        class="pull-left tw-mt-2.5 mleft5 font-medium-xs disabled-link"><i class="fa-regular fa-pen-to-square"></i></a>
                    <?php } ?>

                    
                <?php } }?>

                <div class="clearfix"></div>

                <?php if (!empty($sale->description)) {
                    echo '<div class="tc-content"><div id="sale_view_description" >' . check_for_links($sale->description) . '</div></div>';
                } else {
                    echo '<div class="no-margin tc-content sale-no-description" id="sale_view_description"><span class="text-muted"></span></div>';
                    // echo '<div class="no-margin tc-content sale-no-description" id="sale_view_description"><span class="text-muted">' . _l('sale_no_description') . '</span></div>';
                } ?>
                
                <div class="clearfix"></div>
                <hr />


                    <h3 class="unique-sidebar-title">Sale Notes</h3>
                    <!-- Campaign details content -->

                    <div role="tabpanel" class="tab-pane" id="sale_notes" >
                    <?php if(isset($sale)) {
                        echo form_open(admin_url('sales/add_note/' . $sale->id), ['id' => 'sale-notes']); ?>
                        <div class="form-group">
                            <textarea id="sale_note_description" name="sale_note_description" class="form-control"
                                rows="4"></textarea>
                        </div>
                        <div class="sale-select-date-contacted hide">
                            <?php echo render_datetime_input('custom_contact_date', 'sale_add_edit_datecontacted', '', ['data-date-end-date' => date('Y-m-d')]); ?>
                        </div>
                        
                        
                        <?php if(($sale->status) != 1) { ?>
                        <button type="submit"
                            class="btn btn-primary pull-right"><?php echo _l('sale_add_edit_add_note'); ?></button>

                        <?php }else { ?>

                            <span class="add-note">Add Note</span>
                        <?php } ?>
                        
                        <?php echo form_close(); ?>
                        <div class="clearfix" ></div>
                        <hr />
                        <div class="scrollable-container" style="padding:15px">
                        
                        <?php
                         $len = count($notes);
                         $i   = 0; ?>

                        
                            <?php foreach ($notes as $note) { ?>
                            <div class="media sale-note ">
                                <a href="<?php  ?>" target="_blank">
                                    <?php echo staff_profile_image($note['addedfrom'], ['staff-profile-image-small', 'pull-left mright10']); ?>
                                </a>
                                <div class="media-body">
                                    <?php if ($note['addedfrom'] == get_staff_user_id() || is_admin()) { ?>

                                        <?php if(($sale->status) != 1) { ?>
                                            <a href="#" class="pull-right text-danger"
                                                onclick="delete_sale_note(this,<?php echo e($note['id']); ?>, <?php echo e($sale->id); ?>);return false;">
                
                                                <i class="fa fa fa-times"></i></a>
                                            <a href="#" class="pull-right mright5"
                                                onclick="toggle_edit_note(<?php echo e($note['id']); ?>);return false;">
                                                <i class="fa-regular fa-pen-to-square"></i>
                                                <?php } ?>

                                        <?php } ?>        
        
                                        <a href="<?php ?>" target="_blank">
                                            <h5 class="media-heading tw-font-semibold tw-mb-0">
                                                <?php if (!empty($note['date_contacted'])) { ?>
                                                <span data-toggle="tooltip"
                                                    data-title="<?php echo e(_dt($note['date_contacted'])); ?>">
                                                    <i class="fa fa-phone-square text-success" aria-hidden="true"></i>
                                                </span>
                                                <?php } ?>
                                                <?php echo e(get_staff_full_name($note['addedfrom'])); ?>
                                            </h5>
                                            <span class="tw-text-sm tw-text-neutral-500">
                                                <?php echo e(_l('sale_note_date_added', _dt($note['dateadded']))); ?>
                                            </span>
                                        </a>
        
                                        <div data-note-description="<?php echo e($note['id']); ?>" class="text-muted mtop10"><?php echo process_text_content_for_display($note['description']); ?></div>
                                        <div data-note-edit-textarea="<?php echo e($note['id']); ?>" class="hide mtop15">
                                            <?php echo render_textarea('note', '', $note['description']); ?>
                                            <div class="text-right">
                                                <button type="button" class="btn btn-default"
                                                    onclick="toggle_edit_note(<?php echo e($note['id']); ?>);return false;"><?php echo _l('cancel'); ?></button>
                                                <button type="button" class="btn btn-primary"
                                                    onclick="edit_note(<?php echo e($note['id']); ?>);"><?php echo _l('update_note'); ?></button>
                                            </div>
                                        </div>
                                </div>
                                <?php if ($i >= 0 && $i != $len - 1) {
                                echo '<hr />';
                            }
                                ?>
                            </div>
                            <?php $i++; }} ?>

                        </div>
                   
                </div>
                </div>
                <?php  } ?>  
            </aside>
        </div>
        
    </div>
    
    
    <script>
        
        // Event listener for keydown events
        document.addEventListener('keydown', function (event) {
            // Check if Alt + C keys are pressed
            if (event.altKey && (event.key === 'c' || event.key === 'C')) {
                 const leadModal = $("#lead-modal");
                const saleModal = $("#sale-modal");
                if (saleModal){
                    callSalePhoneNumber();
                    
                }
                
            }
        });
        
        function callSalePhoneNumber() {
    const salephoneNumberElement = document.getElementById('sale_view_phonenumber');
    if (salephoneNumberElement) {
        const salephoneNumber = salephoneNumberElement.innerText.trim();
        if (salephoneNumber) {
            // For demonstration purposes, using alert
            // alert('Calling ' + phoneNumber);
            // You can replace the alert with your actual call functionality
            // For example, if using a telephony API, you would initiate the call here
            window.location.href = 'tel:' + salephoneNumber;
        }
    }
}


    </script>


  



